Get entries permissions

Returns permissions for the specified DataLens entries.

Request

POST

http://<хост_on-premises>/rpc/getEntriesPermissions

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entryIds": [
    "example"
  ]
}

Name

Description

entryIds

Type: string[]

IDs of the entries to check permissions for.

Example
[
  "example"
]

Responses

200 OK

Response

Body

application/json
{}

Name

Description

[additional]

Any of 2 types
  • Type: object

    permissions

    Type: EntryPermissions

    Permissions for the entry.

    Example
    {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    }
    
    Example
    {
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing entry.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

EntryPermissions

Name

Description

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}
Предыдущая
Следующая